Bug 1259239 - "man docker" says nothing about "docker daemon" subcommand
"man docker" says nothing about "docker daemon" subcommand
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Sally
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 05:24 EDT by Robert P. J. Day
Modified: 2016-02-16 12:43 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 12:43:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2015-09-02 05:24:21 EDT
Seems that "man docker" (as of version 1.8) should mention the "docker daemon" subcommand -- certainly, "docker --help" has a reference to it.

https://docs.docker.com/misc/deprecated/
Comment 1 Daniel Walsh 2015-09-02 08:10:00 EDT
Docker man page needs a rewrite,   We need to eliminate mention or options that are appropriate to the docker daemon command.
Comment 2 smahajan@redhat.com 2015-09-03 17:05:01 EDT
PR Opened upstream

https://github.com/docker/docker/pull/16063

Shishir
Comment 3 Robert P. J. Day 2015-09-05 05:06:31 EDT
Not sure if I mentioned this elsewhere, but would there also not be a need for a "man docker-daemon" man page?
Comment 4 Daniel Walsh 2015-09-06 06:50:10 EDT
Yes their should be a docker daemon man page.
Comment 5 smahajan@redhat.com 2015-09-06 10:12:49 EDT
I am not sure if a man page for "docker daemon" will make it upstream.

Even though with docker 1.8 onwards, we can start docker using "daemon" keyword. Docker never made it a registered command. You don't see "daemon" in the list of commands.

In docker words, "docker is both a server, as a daemon, and a client to the daemon, through the CLI" so I feel docker would like to keep this information in the "docker man page" rather than having a "docker-daemon" man page for this.
Comment 6 Daniel Walsh 2015-09-07 06:49:33 EDT
Lets make the attempt.  I would prefer the docker-daemon man page not to cover all of the other content about the docker command.
Comment 7 Daniel Walsh 2015-09-29 09:23:03 EDT
Fixed in docker-1.9

Note You need to log in before you can comment on or make changes to this bug.